Zentyal dpkg dependecy устанавливает проблемы, потому что пакеты не настроены

Я сделал новую установку Zentyal 3.5, которая основана на Ubuntu 14.04. Чтобы быть полностью работоспособным, необходимо установить несколько модулей. Многие из этих модулей не смогли установить, поскольку их цепочка не может быть настроена. Пример ошибки:

dpkg: dependency problems prevent configuration of zentyal-ntp: zentyal-ntp depends on zentyal-firewall; however: Package zentyal-firewall is not configured yet. 

Я попытался удалить пакеты и их конфигурации с помощью sudo apt-get purge [PACKAGE] . После этого повторная установка не была успешной.

Как установить эти пакеты?

Ну, сообщение ясно:

 Package zentyal-firewall is not configured yet 

Сначала вам нужно настроить его, чтобы продолжить установку:

 sudo dpkg --configure zentyal-firewall 

Я бы предположил, что проблема связана с самим пакетом, поэтому его нельзя настроить, и в этом случае вам нужно прочитать сообщения и решить их.

Я также sudo dpkg --configure -a бы sudo dpkg --configure -a и sudo apt-get -f install чтобы убедиться в других проблемах, вызванных этим полуконфигурированным состоянием.

У меня были те же проблемы с Live установщиком для v3.5 в 32 или 64 бит. Репозитории Ubuntu Zentyal, похоже, были разбиты ( отчет об ошибке ) на сегодняшний день (октябрь 2014 года), поэтому мы должны использовать реселлеры.

Я, наконец, решил его, непосредственно установив Ubuntu Server и делая:

  • Добавьте официальный репозиторий Zentyal (для v3.5 в моем случае):

    deb http://archive.zentyal.org/zentyal 3.5 основные дополнительные

  • Импортировать ключ публикации:

    sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys 10E239FF wget -q http://keys.zentyal.org/zentyal-3.5-archive.asc -O- | sudo apt-key add –

  • Обновление репозиториев:

    Обновление sudo apt-get

  • А затем установите zentyal из этого нового репозитория:

    sudo apt-get install zentyal

(Заметим, что пакет zentyal на сегодняшний день не находится на официальных репозиториях Ubuntu, поэтому он будет установлен из официальных Zentyal)

Протестировано на Ubuntu 14.04.1 LTS Server.